com.genesyslab.wfm8.API.service.calendar810

## Class CalLimitInformation

- java.lang.Object
- - com.genesyslab.wfm8.API.service.calendar810.CalLimitInformation

- All Implemented Interfaces:
    java.io.Serializable

      public class CalLimitInformation
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<CalLimitData>` | `data` Limit data array
    `protected int` | `dataArraySize` Limit data array size
    `protected double` | `end` End date
    `protected int` | `granularity` Granularity, daily/time steps
    `private static long` | `serialVersionUID`
    `protected double` | `start` Start date
    `protected int` | `target` Target level
    `protected int` | `targetID` Target ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalLimitInformation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.util.List<CalLimitData>` | `getData()` Gets the data value for this CalLimitInformation.
    `int` | `getDataArraySize()` Gets the dataArraySize value for this CalLimitInformation.
    `double` | `getEnd()` Gets the end value for this CalLimitInformation.
    `int` | `getGranularity()` Gets the granularity value for this CalLimitInformation.
    `double` | `getStart()` Gets the start value for this CalLimitInformation.
    `int` | `getTarget()` Gets the target value for this CalLimitInformation.
    `int` | `getTargetID()` Gets the targetID value for this CalLimitInformation.
    `int` | `hashCode()`
    `void` | `setData(java.util.List<CalLimitData> data)` Sets the data value for this CalLimitInformation.
    `void` | `setDataArraySize(int dataArraySize)` Sets the dataArraySize value for this CalLimitInformation.
    `void` | `setEnd(double end)` Sets the end value for this CalLimitInformation.
    `void` | `setGranularity(int granularity)` Sets the granularity value for this CalLimitInformation.
    `void` | `setStart(double start)` Sets the start value for this CalLimitInformation.
    `void` | `setTarget(int target)` Sets the target value for this CalLimitInformation.
    `void` | `setTargetID(int targetID)` Sets the targetID value for this CalLimitInformation.
    `java.lang.String` | `toString()`
    `CalLimitInformation` | `withData(CalLimitData... values)`
    `CalLimitInformation` | `withData(java.util.Collection<CalLimitData> values)`
    `CalLimitInformation` | `withDataArraySize(int value)`
    `CalLimitInformation` | `withEnd(double value)`
    `CalLimitInformation` | `withGranularity(int value)`
    `CalLimitInformation` | `withStart(double value)`
    `CalLimitInformation` | `withTarget(int value)`
    `CalLimitInformation` | `withTargetID(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### target

          protected int target

      Target level
      See Also:
        `ECalLimitTarget`

    - #### targetID

          protected int targetID

      Target ID

    - #### start

          protected double start

      Start date

    - #### end

          protected double end

      End date

    - #### granularity

          protected int granularity

      Granularity, daily/time steps

    - #### dataArraySize

          protected int dataArraySize

      Limit data array size

    - #### data

          protected java.util.List<CalLimitData> data

      Limit data array

  - ### Constructor Detail

    - #### CalLimitInformation

          public CalLimitInformation()

  - ### Method Detail

    - #### getTarget

          public int getTarget()

      Gets the target value for this CalLimitInformation.
      Returns:
        target

    - #### setTarget

          public void setTarget(int target)

      Sets the target value for this CalLimitInformation.
      Parameters:
        `target` -

    - #### getTargetID

          public int getTargetID()

      Gets the targetID value for this CalLimitInformation.
      Returns:
        targetID

    - #### setTargetID

          public void setTargetID(int targetID)

      Sets the targetID value for this CalLimitInformation.
      Parameters:
        `targetID` -

    - #### getStart

          public double getStart()

      Gets the start value for this CalLimitInformation.
      Returns:
        start

    - #### setStart

          public void setStart(double start)

      Sets the start value for this CalLimitInformation.
      Parameters:
        `start` -

    - #### getEnd

          public double getEnd()

      Gets the end value for this CalLimitInformation.
      Returns:
        end

    - #### setEnd

          public void setEnd(double end)

      Sets the end value for this CalLimitInformation.
      Parameters:
        `end` -

    - #### getGranularity

          public int getGranularity()

      Gets the granularity value for this CalLimitInformation.
      Returns:
        granularity

    - #### setGranularity

          public void setGranularity(int granularity)

      Sets the granularity value for this CalLimitInformation.
      Parameters:
        `granularity` -

    - #### getDataArraySize

          public int getDataArraySize()

      Gets the dataArraySize value for this CalLimitInformation.
      Returns:
        dataArraySize

    - #### setDataArraySize

          public void setDataArraySize(int dataArraySize)

      Sets the dataArraySize value for this CalLimitInformation.
      Parameters:
        `dataArraySize` -

    - #### getData

          public java.util.List<CalLimitData> getData()

      Gets the data value for this CalLimitInformation.
      Returns:
        data

    - #### setData

          public void setData(java.util.List<CalLimitData> data)

      Sets the data value for this CalLimitInformation.
      Parameters:
        `data` -

    - #### withData

          public CalLimitInformation withData(java.util.Collection<CalLimitData> values)

    - #### withData

          public CalLimitInformation withData(CalLimitData... values)

    - #### withDataArraySize

          public CalLimitInformation withDataArraySize(int value)

    - #### withGranularity

          public CalLimitInformation withGranularity(int value)

    - #### withTarget

          public CalLimitInformation withTarget(int value)

    - #### withTargetID

          public CalLimitInformation withTargetID(int value)

    - #### withStart

          public CalLimitInformation withStart(double value)

    - #### withEnd

          public CalLimitInformation withEnd(double value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.